/* ---------------------------------- */
/* Fuentes */

@font-face {
    font-family: 'Advercase';
    src: url('/wp-content/themes/woko-theme/fonts/AdvercaseFont-Regular.woff2') format('woff2'),
        url('/wp-content/themes/woko-theme/fonts/AdvercaseFont-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Advercase';
    src: url('/wp-content/themes/woko-theme/fonts/AdvercaseFont-Bold.woff2') format('woff2'),
        url('/wp-content/themes/woko-theme/fonts/AdvercaseFont-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}


:root {
    --red-color: #E30613;
    --dark-red-color: #941d17;
    --dark-gray: #4b5563;
}

/* ---------------------------------- */
/* Estilos de texto */

/* Texto por defecto */
body,
input,
textarea,
select,
button,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    line-height: 1.7;
    font-size: 18px;
}

/* Grosores */
.font-weight--100 {
    font-weight: 100;
}

.font-weight--200 {
    font-weight: 200;
}

.font-weight--300 {
    font-weight: 300;
}

.font-weight--400 {
    font-weight: 400;
}

.font-weight--500,
.button,
.wpforms-submit,
.wpforms-page-button.wpforms-page-next,
.wpforms-page-button.wpforms-page-prev,
.hs-button {
    font-weight: 500;
}

.font-weight--600 {
    font-weight: 600;
}

.font-weight--700,
b,
strong,
.menu__item--current,
.form--wpforms .wpforms-container .wpforms-field-label,
.form--hubspot .hs-form-field>label,
.form--hubspot .hs-dependent-field .hs-field-desc {
    font-weight: 700;
}

.font-weight--800 {
    font-weight: 800;
}

.font-weight--900 {
    font-weight: 900;
}

/* Definidos */
.has-display-1-font-size {
    font-family: 'Advercase';
    font-size: clamp(60px, 8vw, 112px);
    line-height: 1.3;
    font-weight: 700;
}

.has-display-2-font-size {
    font-family: 'Advercase';
    font-size: clamp(52px, 8vw, 80px);
    line-height: 1.2;
    font-weight: 700;
}

.has-display-3-font-size {
    font-family: 'Advercase';
    font-size: clamp(45px, 8vw, 60px);
    line-height: 1.2;
    font-weight: 700;
}

.has-headline-1-font-size {
    font-family: 'Advercase';
    font-size: clamp(38px, 8vw, 48px);
    line-height: 1.2;
    font-weight: 700;
}

.has-headline-2-font-size {
    font-family: 'Advercase';
    font-size: clamp(32px, 8vw, 36px);
    line-height: 1.2;
    font-weight: 700;
}

.has-headline-3-font-size {
    font-family: 'Advercase';
    font-size: clamp(26px, 8vw, 28px);
    line-height: 1.1;
    font-weight: 700;
}

.has-headline-4-font-size {
    font-family: 'Advercase';
    font-size: clamp(23px, 8vw, 24px);
    line-height: 1.1;
    font-weight: 700;
}

.has-body-1-font-size,
.button--size-l {
    font-size: 20px;
    line-height: 1.7;
}

.has-body-2-font-size {
    font-size: 18px;
    line-height: 1.7;
}

.has-body-3-font-size,
table,
input[type="text"],
input[type="date"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="number"],
textarea,
select,
.wpforms-field-checkbox,
.wpforms-field-radio,
.hs-fieldtype-checkbox ul,
.hs-fieldtype-radio ul,
.button--size-m,
.wpforms-submit,
.hs-button,
.wpforms-page-button.wpforms-page-next,
.wpforms-page-button.wpforms-page-prev {
    font-size: 16px;
    line-height: 1.7;
}

.has-body-4-font-size,
.buttons__item__annotation,
.form--hubspot .hs-fieldtype-booleancheckbox,
.wpforms-field-gdpr-checkbox,
.button--size-s,
.form--wpforms .wpforms-container .wpforms-field-label,
.form--hubspot .hs-form-field>label,
.form--hubspot .hs-field-desc,
.form--wpforms .wpforms-container .wpforms-field-description,
.form--wpforms .wpforms-container em.wpforms-error,
.form--hubspot .hs-error-msg,
.form--wpforms .modern-title,
figcaption,
.form--hubspot .hs-fieldtype-file .hs-input,
.wpforms-field-number-slider-hint {
    font-size: 14px;
    line-height: 1.7;
}

.has-body-5-font-size,
.form--wpforms .wpforms-container .wpforms-field-gdpr-checkbox .wpforms-field-description,
.form--hubspot .hs-richtext {
    font-size: 12px;
    line-height: 1.7;
}

/* Colores */
body,
input,
textarea,
select,
button {
    color: black;
}

.has-black-color,
.form--hubspot .hs-dependent-field .hs-field-desc {
    color: black !important;
}

.has-white-color {
    color: white !important;
}

.has-red-color {
    color: var(--red-color) !important;
}

.has-grey-color,
.form--wpforms .wpforms-page-indicator-steps,
.form--hubspot .hs-field-desc,
.form--wpforms .wpforms-container .wpforms-field-description {
    color: #707070 !important;
}


/* ---------------------------------- */
/* Texto formateado */

/* Enlaces internos */
.text--links-m a:not(.button):not(.share__link):not(.cta_button) {
    border-color: black;
}

/* Márgenes contenidos .text--margins-m */
.text--margins-m .has-display-1-font-size {
    margin-top: clamp(110px, 11vw, 150px);
    margin-bottom: clamp(55px, 10vw, 70px);
}

.text--margins-m .has-display-2-font-size {
    margin-top: clamp(100px, 10vw, 130px);
    margin-bottom: clamp(50px, 10vw, 70px);
}

.text--margins-m .has-display-3-font-size {
    margin-top: clamp(90px, 9vw, 120px);
    margin-bottom: clamp(45px, 10vw, 70px);
}

.text--margins-m .has-headline-1-font-size {
    margin-top: clamp(90px, 8vw, 110px);
    margin-bottom: clamp(40px, 8vw, 55px);
}

.text--margins-m .has-headline-2-font-size {
    margin-top: clamp(80px, 7vw, 100px);
    margin-bottom: clamp(40px, 8vw, 55px);
}

.text--margins-m .has-headline-3-font-size {
    margin-top: clamp(50px, 6vw, 70px);
    margin-bottom: clamp(30px, 8vw, 50px);
}

.text--margins-m .has-headline-4-font-size {
    margin-top: clamp(50px, 5vw, 60px);
    margin-bottom: clamp(40px, 8vw, 55px);
}

.text--margins-m p,
.text--margins-m ol,
.text--margins-m ul {
    margin: 30px 0;
}

.text--margins-m li {
    margin: 10px 0;
}

.text--margins-m .buttons {
    margin: 40px 0;
}

.text--margins-m .buttons+.buttons {
    margin-top: -15px;
}

.text--margins-m .form {
    margin: 40px 0;
}

.text--margins-m .intro {
    margin: 60px 0;
}

.text--margins-m .wp-block-quote {
    margin-top: clamp(60px, 7vw, 80px);
    margin-bottom: clamp(60px, 7vw, 80px);
}

.text--margins-m table,
.text--margins-m .wp-block-table {
    margin: 60px 0;
}

.text--margins-m .tidy {
    margin: 60px 0;
}

.text--margins-m img,
.text--margins-m .wp-block-image,
.text--margins-m .hs-cta-wrapper {
    margin: 40px 0;
}

.text--margins-m .tweet {
    margin: 60px 0;
}

.text--margins-m .search {
    margin: 60px 0;
}


/* Márgenes contenidos .text--margins-s */
.text--margins-s>* {
    margin: 20px 0;
}

.text--margins-s>.flex,
.text--margins-s>.buttons__item {
    margin: 30px 0;
}

.text--margins-s li {
    margin: 10px 0;
}

.text--margins-s .form,
.text--margins-s .intro,
.text--margins-s .wp-block-quote,
.text--margins-s table,
.text--margins-s .wp-block-table,
.text--margins-s .tidy,
.text--margins-s img,
.text--margins-s .wp-block-image,
.text--margins-s .hs-cta-wrapper,
.text--margins-s .tweet,
.text--margins-s .search {
    margin: 40px 0;
}



/* ---------------------------------- */
/* Fondos */

.background--white {
    background: white;
}

.background--darken {
    background: rgba(0, 0, 0, 0.6);
}

.background--black {
    background: black;
}


.background--left-darken {
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 40%, rgba(0, 0, 0, 0.3) 100%);
}

.background--right-darken {
    background: linear-gradient(270deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 40%, rgba(0, 0, 0, 0.3) 100%);
}

.background--lighten {
    background: rgba(255, 255, 255, 0.7);
}

.background--left-lighten {
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.6) 0%, rgba(255, 255, 255, 0.6) 40%, rgba(255, 255, 255, 0.3) 100%);
}

.background--right-lighten {
    background: linear-gradient(270deg, rgba(255, 255, 255, 0.6) 0%, rgba(255, 255, 255, 0.6) 40%, rgba(255, 255, 255, 0.3) 100%);
}

.background--light-grey {
    background-color: #f5f5f5;
}

.background--gradient-red {
    background: rgb(227, 6, 19);
    background: radial-gradient(circle, rgba(227, 6, 19, 1) 0%, rgba(163, 16, 8, 1) 100%);
}

.background--red {
    background-color: var(--red-color)
}

.background--dark-red {
    opacity: 0.5;
    background-color: var(--dark-red-color)
}

.background--cream {
    background-color: #F8F4EA;
}



/* ---------------------------------- */
/* Slider */

/* Bullet activo de la navegación */
.slider .swiper-pagination-bullet-active::after {
    background-color: black;
}

/* Flechas */
.slider .swiper-button-next,
.slider .swiper-button-prev {
    color: black;
}


/* ---------------------------------- */
/* Botones */

.button,
.wpforms-submit,
.wpforms-page-button.wpforms-page-next,
.wpforms-page-button.wpforms-page-prev,
.hs-button {
    border: 2px solid;
    border-radius: 30px;
}

/* Tamaños */
.button--size-s {
    padding-left: 10px;
    padding-right: 10px;
    height: 43px;
}

.button--size-m,
.wpforms-submit,
.wpforms-page-button.wpforms-page-next,
.wpforms-page-button.wpforms-page-prev,
.hs-button {
    padding-left: 18px;
    padding-right: 18px;
    height: 50px;
}

.button--size-l {
    padding-left: 25px;
    padding-right: 25px;
    height: 60px;
}


@media screen and (max-width: 500px) {
    .button--size-s {
        padding-left: 5px;
        padding-right: 5px;
        height: 32px;
        font-size: 13px !important;
    }
}

/* Primario (normal, hover, active y disabled) */
.button--appearance-primary,
.wpforms-submit,
.wpforms-page-button.wpforms-page-next,
.hs-button {
    color: white;
    background: var(--red-color);
    border-color: var(--red-color);
}

.button--appearance-primary:hover,
.wpforms-submit:hover,
.wpforms-page-button.wpforms-page-next:hover,
.hs-button:hover,
.button--appearance-primary.button--state-hover {
    color: var(--red-color);
    background: transparent;
}

/* .button--appearance-primary:active,
.wpforms-submit:active,
.wpforms-page-button.wpforms-page-next:active,
.hs-button:active,
.button--appearance-primary.button--state-active {
    background: black;
    border-color: black;
} */

/* Fantasma (normal, hover, active y disabled) */
.button--appearance-phantom,
.wpforms-page-button.wpforms-page-prev {
    border-color: var(--red-color);
    color: var(--red-color);
    background: transparent;
}

.button--appearance-phantom:hover,
.wpforms-page-button.wpforms-page-prev:hover,
.button--appearance-phantom.button--state-hover {
    border-color: var(--red-color);
    background: rgba(227, 6, 19, 0.03);
}

.button--appearance-phantom:active,
.wpforms-page-button.wpforms-page-prev:active,
.button--appearance-phantom.button--state-active {
    background: #E30613;
    background: rgba(227, 6, 19, 0.06);
}

/* Texto (normal, hover, active y disabled) */
.button--appearance-text {
    border: none;
    padding: 2px 0;
    height: auto;
    color: var(--red-color);
    border-bottom: 2px solid var(--red-color);
    border-radius: 0;
}

.button--appearance-text:hover,
.button--appearance-text.button--state-hover {
    color: var(--dark-red-color);
    border-color: var(--dark-red-color);
}

.button--appearance-text:active,
.button--appearance-text.button--state-active {
    color: var(--dark-red-color);
    border-color: var(--dark-red-color);
}


.button--appearance-text-black {
    border: none;
    padding: 2px 0;
    height: auto;
    color: black;
    border-bottom: 2px solid black;
    border-radius: 0;
}

.button--appearance-text-black:hover {
    color: var(--red-color);
    border-color: var(--red-color);
}

.button--appearance-text-black:active {
    color: var(--red-color);
    border-color: var(--red-color);
}

@media screen and (max-width: 500px) {
    .button--appearance-text {
        font-size: 12px;
    }
}

/* Estados */
.button:disabled,
.wpforms-submit:disabled,
.wpforms-page-button.wpforms-page-next:disabled,
.wpforms-page-button.wpforms-page-prev:disabled,
.hs-button:disabled,
.button--state-disabled {
    opacity: 0.4;
    cursor: not-allowed;
}

/* Iconos */
.button>.button__icon {
    margin: 0 8px;
}

/* Anotación */
.buttons__item__annotation {
    color: #818181;
}


/* ---------------------------------------- */
/* Logo */

/* Tamaños */
.logo--size-m {
    width: 110px;
}

.logo--size-l {
    width: 190px;
}

@media (max-width: 1110px) {

    .logo--size-m {
        width: 100px;
    }

    .logo--size-l {
        width: 160px;
    }

}

@media (max-width: 980px) {

    .logo--size-m {
        width: 90px;
    }

    .logo--size-l {
        width: 150px;
    }

}

@media (max-width: 570px) {

    .logo--size-m {
        width: 80px;
    }

    .logo--size-l {
        width: 100px;
    }

}



/* ---------------------------------------- */
/* Iconos */

/* Tamaño */
.material-symbols-outlined--xs {
    font-size: 16px !important;
    position: relative;
    top: 1px;
}

.material-symbols-outlined--s {
    font-size: 20px !important;
}

.material-symbols-outlined--m {
    font-size: 25px !important;
}

.material-symbols-outlined--l {
    font-size: 30px !important;
}

.material-symbols-outlined--xl {
    font-size: 40px !important;
}

.material-symbols-outlined--xxl {
    font-size: 45px !important;
}


/* ---------------------------------- */
/* Formularios */

/* Texto y select (normal, hover, focus, error y ok) */
input[type="text"],
input[type="date"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="number"],
textarea,
select {
    padding: 8px 15px;
    background: white;
    border-radius: 5px;
    border-color: lightgray;
    transition: 0.15s;
}

input[type="text"]:hover,
input[type="date"]:hover,
input[type="password"]:hover,
input[type="email"]:hover,
input[type="tel"]:hover,
input[type="number"]:hover,
textarea:hover,
select:hover {
    border-color: #eeeeee;
}

input[type="text"]:focus,
input[type="date"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
input[type="number"]:focus,
textarea:focus,
select:focus {
    border-color: #b8b8b8;
}

input[type="text"].wpforms-error,
input[type="date"].wpforms-error,
input[type="password"].wpforms-error,
input[type="email"].wpforms-error,
input[type="tel"].wpforms-error,
input[type="number"].wpforms-error,
textarea.wpforms-error,
select.wpforms-error,
input[type="text"].invalid,
input[type="date"].invalid,
input[type="password"].invalid,
input[type="email"].invalid,
input[type="tel"].invalid,
input[type="number"].invalid,
textarea.invalid,
select.invalid {
    border-color: #d75c5c !important;
}

input[type="text"].wpforms-valid,
input[type="date"].wpforms-valid,
input[type="password"].wpforms-valid,
input[type="email"].wpforms-valid,
input[type="tel"].wpforms-valid,
input[type="number"].wpforms-valid,
textarea.wpforms-valid,
select.wpforms-valid {
    border-color: #a8c97a !important;
}


/* Checkbox y radio (normal, hover, error y checked) */
input[type="checkbox"],
input[type="radio"] {
    background: #edeff1;
    border-color: #edeff1;
    border-radius: 5px;
    position: relative;
    transition: 0.15s;
}

/* input[type="checkbox"]::after,
input[type="radio"]::after {
    font-family: 'Material Symbols Outlined';
    content: "check";
    -webkit-font-feature-settings: 'liga';
    font-size: 30px;
    position: absolute;
    top: calc(50% - 2px);
    left: calc(50% + 3px);
    transform: translateX(-50%) translateY(-50%) scale(0.5);
    opacity: 0;
    transition: 0.15s;
    pointer-events: none;
} */

input[type="checkbox"]::after,
input[type="radio"]::after {
    font-family: 'Material Symbols Outlined';
    content: "check";
    -webkit-font-feature-settings: 'liga';
    font-size: 27px;
    position: absolute;
    top: calc(50% - 0px);
    left: calc(50% + 1px);
    transform: translateX(-50%) translateY(-50%) scale(0.5);
    opacity: 0;
    transition: 0.15s;
    pointer-events: none;
    color: white
}

input[type="radio"] {
    border-radius: 1000px;
}

input[type="checkbox"]:hover,
input[type="radio"]:hover {
    border-color: #dde0e3;
}

input[type="checkbox"].wpforms-error,
input[type="radio"].wpforms-error,
input[type="checkbox"].invalid,
input[type="radio"].invalid {
    border-color: #d75c5c !important;
}

input[type="checkbox"]:checked::after,
input[type="radio"]:checked::after {
    transform: translateX(-50%) translateY(-50%);
    opacity: 1;
}

/* Select */
.wpforms-field-select::after,
.form--hubspot .hs-fieldtype-select .input::after {
    right: 8px;
}

.wpforms-field-select::after {
    top: 29px;
}

#wpforms-2269-field_93-container.wpforms-field-select::after {
    top: 60px;
}

.wpforms-field-select select {
    padding-right: 40px;
}

/* Mensajes de error */
.form--wpforms .wpforms-container em.wpforms-error,
.form--hubspot .hs-error-msg {
    color: #d75c5c;
}

/* Mensaje al enviar el formulario */
.wpforms-confirmation-container {
    background: #deecca;
    padding: 20px 20px;
    padding-bottom: 22px;
}

/* Formulario por pasos: títulos de los pasos */
.form--wpforms .wpforms-page-indicator-page .wpforms-page-indicator-page-triangle {
    border-top-color: black !important;
}

.form--wpforms .wpforms-page-indicator-page-title {
    font-size: 15px !important;
    line-height: 1.4;
}

/* Formulario por pasos: indicador de pasos */
.form--wpforms .wpforms-page-indicator-steps {
    margin-top: 10px;
}

/* Formulario por pasos: altura de la barra */
/* .form--wpforms .wpforms-page-indicator-page-progress-wrap,
.form--wpforms .wpforms-page-indicator-page .wpforms-page-indicator-page-number {
    height: 4px !important;
} */

/* Formulario por pasos: color de la barra */
.form--wpforms .wpforms-page-indicator-page .wpforms-page-indicator-page-number,
.wpforms-page-indicator-page-progress-wrap {
    background-color: #f0f0f0 !important;
}

.form--wpforms .wpforms-page-indicator-page .wpforms-page-indicator-page-number,
.wpforms-page-indicator-page-progress-wrap {
    background-color: transparent !important;
    border: 1px solid lightgrey;
    color: var(--red-color) !important;
}

.form--wpforms .wpforms-page-indicator-page.active .wpforms-page-indicator-page-number,
.form--wpforms .wpforms-page-indicator-page-progress {
    background-color: var(--red-color) !important;
}

.form--wpforms .wpforms-page-indicator-page.active .wpforms-page-indicator-page-number {
    color: white !important;
}

/* Checkbox del RGPD */
.form--wpforms .wpforms-field-gdpr-checkbox .wpforms-field-label-inline,
.form--hubspot .hs-fieldtype-booleancheckbox {
    color: #767676;
}


/* ---------------------------------- */
/* Texto */

/* Entradilla */
.intro {
    border-color: black;
}

/* Check */
.check__icon {
    color: black;
}

/* Tabla */
table td,
table th {
    padding: 10px !important;
    border: 1px solid #f3f3f3 !important;
}

table tr:nth-child(even) {
    background: #F9FAFB;
}

/* Captions */
figcaption {
    border-color: #CFCFD0;
    color: #868686;
    margin-top: 20px;
    padding-top: 12px;
}


/* ---------------------------------- */
/* Acordeones */

/* Aries */
.aries__title__arrow {
    color: black;
}


/* ---------------------------------- */
/* Tablas de precios */

/* Virgo */
.virgo__featured {
    background: black;
    color: white;
}

.virgo__description {
    color: #737373;
}

.virgo__characteristic--included .virgo__characteristic__icon {
    color: #6aa35b;
}

.virgo__characteristic--not-included {
    color: #acacac;
}


/* ---------------------------------- */
/* Switchers */

/* Acuario */
.acuario {
    background: #eff0f1;
    border-radius: 8px;
}

.acuario__item {
    border-radius: 8px;
}

.acuario__item.switcher__item--active {
    background-color: black;
    color: white;
}



/* ---------------------------------- */
/* Widgets */

/* Share */
.share__link {
    background: #ebebeb;
}

.share__link:hover {
    background: #d5d5d5;
}


/* ---------------------------------------- */
/* Counters */

/* Linx */
.linx__value {
    color: black;
}


/* ---------------------------------------- */
/* Diseño */

.anchor-menu a {}

.anchor-menu__current {
    font-weight: 700;
}


/* ---------------------------------------- */
/* Calendario */

.calendar__day--past {
    opacity: 0.4;
}

.calendar__day--results:not(.calendar__day--results--hidden) {
    color: #f93939;
    font-weight: 700;
}

.calendar__day--selected {
    border: 2px solid;
}

.calendar__day--today {
    background-color: #f93939;
    border: 2px solid;
    color: white;
}



/* ---------------------------------------- */
/* SWING */
.swing--opacity {
    opacity: 0;
    transition: 0.5s;
}

.swing--scale-up {
    transform: scale(0.95);
    opacity: 0;
    transition: 0.5s;
}

.swing--scale-up.swing--true {
    transform: none;
    opacity: 1;
    transition-delay: 0.4s;
}

.swing--scale-down {
    transform: scale(1.1);
    transition: 2s;
}

.swing--scale-down.swing--true {
    transform: none;
    transition-delay: 0.4s;
}


.swing--opacity.swing--true {
    transition-delay: 0.5s;
    opacity: 1;
}

.swing--up {
    opacity: 0;
    transition: 1s;
    transform: translateY(50px);
}

.swing--up.swing--true {
    opacity: 1;
    transition-delay: 0.4s;
    transform: none;
}

.swing--left {
    opacity: 0;
    transition: 0.6s;
    transform: translateX(-50px);
}

.swing--left.swing--true {
    opacity: 1;
    transition-delay: 0.4s;
    transform: none;
}

.swing.activado {
    opacity: 1;
    transform: none;
}

.pre--header-cta {
    display: none;
}

@media screen and (max-width: 600px) {
    div.wpforms-container .wpforms-form .wpforms-field:not(.wpforms-field-phone):not(.wpforms-field-select-style-modern):not(.wpforms-field-radio):not(.wpforms-field-checkbox):not(.wpforms-field-layout):not(.wpforms-field-repeater) {
        overflow: visible !important;
    }
}

/* @media screen and (max-width: 700px) {

    .scroll--top .header {
        box-shadow: none;
    }

    .pre--header-cta {
        display: block;
    }

    .header__ctas {
        display: none;
    }

    .scroll--top .header .padding--horizontal-20 {
        padding-bottom: 0;
    }
}

@media screen and (max-width: 500px) {
    .pre--header-cta .container--l {
        padding-inline: 0;
        padding: 0 10px;
    }
} */